//
// Generic utility functions
//

#include "renderlib.h"
#include "utils.h"


uint32_t EXPORT createBGRA(uint8_t R, uint8_t G, uint8_t B, uint8_t A)
{

    return BGRA(R, G, B, A);

}

uint32_t EXPORT createRGBA(uint8_t R, uint8_t G, uint8_t B, uint8_t A)
{

	return RGBA(R, G, B, A);

}


uint8_t EXPORT getRed(uint32_t Val)
{

	return RED(Val);

}

uint8_t EXPORT getGreen(uint32_t Val)
{

	return GREEN(Val);

}

uint8_t EXPORT getBlue(uint32_t Val)
{

	return BLUE(Val);

}

uint8_t EXPORT getAlpha(uint32_t Val)
{

	return ALPHA(Val);

}


uint32_t EXPORT byteSwapInt(uint32_t Value)
{

	return SWAP4(Value);

}

uint16_t EXPORT byteSwapShort(uint16_t Value)
{

	return SWAP2(Value);

}


void EXPORT freeMemory(uint32_t* Mem)
{

	free(Mem);

}