VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsSprite"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Option Compare Binary
Option Base 0


Public Name As String

Private subSprites(15) As clsSubSprite


Public Function getSubSprite(ByVal Index As Long) As clsSubSprite

    If Index >= 0 And Index < 16 Then Set getSubSprite = subSprites(Index)

End Function


' Load from configuration
Public Function loadFrom(ByRef Dict As Dictionary) As Boolean

    Dim A As Long
    Dim subDict As Dictionary
    Dim itemName As String
    
    
    Name = Dict("name")
    
    For A = 0 To 15
        itemName = Trim$(Str$(A))
        
        If Dict.Exists(itemName) Then
            Set subDict = Dict(itemName)
            
            ' Set parent properties
            Set subSprites(A) = New clsSubSprite
            With subSprites(A)
                .graphicName = Dict("graphic")
                .graphicIndex = Dict("index")
                .offsetX = Dict("x")
                .offsetY = Dict("y")
            End With
            
            subSprites(A).loadFrom subDict

        End If
    Next A

    loadFrom = True

End Function
