VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsSurfaceList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Option Compare Binary
Option Base 0


Public Name As String

Private Images() As clsSurface
Public nImages As Long

Public maxWidth As Long
Public maxHeight As Long


Public Function Image(ByVal Index As Long) As clsSurface

    If Index < 0 Or Index >= nImages Then Exit Function
    
    Set Image = Images(Index)

End Function


' Add an image to the list
Public Sub Add(ByRef Surface As clsSurface)

    ReDim Preserve Images(nImages)
    nImages = nImages + 1
    
    Set Images(nImages - 1) = Surface
    
    If Surface.Width > maxWidth Then maxWidth = Surface.Width
    If Surface.Height > maxHeight Then maxHeight = Surface.Height

End Sub


' Compose a single surface with this list's images
Public Function Compose() As clsSurface

    Dim Index As Long
    Dim Width As Long
    
    
    Width = maxWidth * nImages
    Set Compose = New clsSurface
    Compose.Create Width, maxHeight
    
    For Index = 0 To nImages - 1
        renderBlitFast Compose.ptrSurface, Images(Index).ptrSurface, Index * maxWidth, 0
    Next Index

End Function
