VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Turrican 2 Spy"
   ClientHeight    =   8415
   ClientLeft      =   60
   ClientTop       =   360
   ClientWidth     =   15375
   BeginProperty Font 
      Name            =   "Segoe UI"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmMain.frx":0000
   ScaleHeight     =   561
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   1025
   StartUpPosition =   2  'CenterScreen
   WindowState     =   2  'Maximized
   Begin VB.PictureBox framHold 
      BorderStyle     =   0  'None
      Height          =   8235
      Left            =   120
      ScaleHeight     =   8235
      ScaleWidth      =   3135
      TabIndex        =   13
      Top             =   120
      Width           =   3135
      Begin VB.CommandButton cmdGraphics 
         Caption         =   "Graphics"
         Height          =   435
         Left            =   60
         TabIndex        =   10
         Top             =   6900
         Width           =   2835
      End
      Begin VB.CommandButton cmdImagePeek 
         Caption         =   "Peek"
         Height          =   435
         Left            =   60
         TabIndex        =   9
         Top             =   6360
         Width           =   2835
      End
      Begin VB.CommandButton cmdAbout 
         Caption         =   "About"
         Height          =   435
         Left            =   60
         TabIndex        =   11
         Top             =   7440
         Width           =   2835
      End
      Begin VB.CheckBox chkCaptions 
         Caption         =   "Captions"
         Height          =   315
         Left            =   1800
         TabIndex        =   7
         Top             =   1800
         Value           =   1  'Checked
         Width           =   1095
      End
      Begin VB.CheckBox chkStart 
         Caption         =   "Start"
         Height          =   315
         Left            =   60
         TabIndex        =   4
         Top             =   1800
         Value           =   1  'Checked
         Width           =   1035
      End
      Begin VB.CommandButton cmdExportMaps 
         Caption         =   "Export maps"
         Height          =   435
         Left            =   60
         TabIndex        =   8
         Top             =   5820
         Width           =   2835
      End
      Begin VB.ComboBox cmbLevel 
         Height          =   315
         Left            =   720
         Style           =   2  'Dropdown List
         TabIndex        =   1
         Top             =   360
         Width           =   615
      End
      Begin VB.CheckBox chkRenderObjects 
         Caption         =   "Objects"
         Height          =   315
         Left            =   60
         TabIndex        =   3
         Top             =   1380
         Value           =   1  'Checked
         Width           =   1035
      End
      Begin VB.CheckBox chkGrid 
         Caption         =   "Grid"
         Height          =   315
         Left            =   1800
         TabIndex        =   6
         Top             =   1380
         Width           =   1095
      End
      Begin VB.CheckBox chkZoom 
         Caption         =   "Zoom"
         Height          =   315
         Left            =   1800
         TabIndex        =   5
         Top             =   960
         Width           =   1155
      End
      Begin VB.CheckBox chkRenderCollision 
         Caption         =   "Collision map"
         Height          =   315
         Left            =   60
         TabIndex        =   2
         Top             =   960
         Width           =   1455
      End
      Begin VB.ComboBox cmbWorld 
         Height          =   315
         Left            =   0
         Style           =   2  'Dropdown List
         TabIndex        =   0
         Top             =   360
         Width           =   615
      End
      Begin VB.Label lblObject 
         Caption         =   "Object"
         Height          =   855
         Left            =   60
         TabIndex        =   18
         Top             =   4560
         Width           =   2895
      End
      Begin VB.Label Label2 
         Caption         =   "Level"
         Height          =   255
         Left            =   720
         TabIndex        =   17
         Top             =   0
         Width           =   975
      End
      Begin VB.Label Label1 
         Caption         =   "World"
         Height          =   255
         Left            =   0
         TabIndex        =   16
         Top             =   0
         Width           =   975
      End
      Begin VB.Label lblInfo 
         Caption         =   "Map"
         Height          =   1155
         Left            =   60
         TabIndex        =   15
         Top             =   2520
         Width           =   3255
      End
      Begin VB.Label lblCursor 
         Caption         =   "Cursor"
         Height          =   975
         Left            =   60
         TabIndex        =   14
         Top             =   3660
         Width           =   3315
      End
   End
   Begin VB.PictureBox picMap 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      Height          =   8355
      Left            =   3300
      ScaleHeight     =   557
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   801
      TabIndex        =   12
      TabStop         =   0   'False
      Top             =   0
      Width           =   12015
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Compare Binary
Option Base 0


Private Enum E_MouseModes
    MM_None = 0
    MM_MoveCamera
End Enum


' Mouse point
Private Type POINT
    X As Long
    Y As Long
End Type

Private Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type


Private renderScale As Long

Private mouseMode As E_MouseModes
Private moveX As Long, moveY As Long
Private mouseCursor As POINT, mouseX As Long, mouseY As Long
Private moveSens As Single

Private Worlds() As clsWorld
Public nWorlds As Long

Private World As clsWorld
Private Level As clsLevel

Private renderCtx As clsRenderContext
Private Camera As clsCamera

Private Declare Function GetCursorPos Lib "user32" (ByRef ptrPoint As POINT) As Long
Private Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long


Public Function getWorld(ByVal Index As Long) As clsWorld

    If Index < 0 And Index >= nWorlds Then Exit Function
    
    Set getWorld = Worlds(Index)

End Function


Private Function loadWorld(ByVal dirName As String, ByVal Index As Long) As clsWorld
    
    Dim Bits() As clsBitStream
    Dim nBits As Long
    Dim fileName As String
    Dim lvlIndex As Long
    
    Dim mainCfg As clsConfiguration
    Dim Cfg As clsConfiguration
    Dim spriteDict As Dictionary
    Dim mainDict As Dictionary
    Dim mainBits As clsBitStream
    

    For lvlIndex = 1 To 9
        fileName = dirName & "\L" & Index & "-" & lvlIndex
        
        If Not FS.FileExists(fileName) Then Exit For
        
        ReDim Preserve Bits(nBits)
        nBits = nBits + 1
        Set Bits(nBits - 1) = New clsBitStream
        
        If Not Bits(nBits - 1).fileOpen(fileName) Then Exit Function
    Next lvlIndex
    
    
    ' Load world sprite dict
    fileName = APP_PATH & "sprites\l" & Index & ".txt"
    Set Cfg = New clsConfiguration
    Cfg.LoadConfiguration fileName
    Set spriteDict = Cfg.Root(True)
    
    ' Load main sprite dict and data
    fileName = APP_PATH & "sprites\global.txt"
    Set mainCfg = New clsConfiguration
    mainCfg.LoadConfiguration fileName
    Set mainDict = mainCfg.Root(True)
    
    Set mainBits = New clsBitStream
    If Not mainBits.fileOpen(dirName & "\MAIN") Then Exit Function
    
    ' Load world
    Set loadWorld = New clsWorld
    loadWorld.loadFrom Bits, Index - 1, spriteDict, mainDict
        
End Function


Private Sub renderMap()

    renderCtx.BackBuffer.Clear
    
    renderCtx.renderCaptions = CBool(chkCaptions.Value)
    renderCtx.renderCollision = CBool(chkRenderCollision.Value)
    renderCtx.renderGrid = CBool(chkGrid.Value)
    renderCtx.renderObjects = CBool(chkRenderObjects.Value)
    renderCtx.renderStart = CBool(chkStart.Value)
    
    Level.Render renderCtx
    
    renderCtx.BackBuffer.Present picMap.hDC
    picMap.Refresh

End Sub


Private Sub chkCaptions_Click()

    renderMap

End Sub

Private Sub chkGrid_Click()
    
    renderMap

End Sub

Private Sub chkRenderCollision_Click()

    renderMap

End Sub

Private Sub chkRenderObjects_Click()

    renderMap

End Sub

Private Sub chkStart_Click()

    renderMap

End Sub


Private Sub chkZoom_Click()

    If chkZoom.Value = 1 Then
        renderScale = 2
    Else
        renderScale = 1
    End If
    
    Form_Resize

End Sub


Private Sub cmbLevel_Click()

    Set Level = World.getLevel(cmbLevel.ListIndex)
    renderCtx.Highlight = -1
    lblObject.Caption = vbNullString
        
    lblInfo.Caption = Level.Width & " x " & Level.Height & Chr$(13) & World.Tiles.nTiles & " tiles" & Chr$(13) & Level.objectCount & " objects" & Chr$(13) & Level.blockWidth + 1 & " x " & Level.blockHeight + 1 & " blocks"
    
    Form_Resize

End Sub


Private Sub cmbWorld_Click()

    Dim A As Long
    
    
    Set World = Worlds(cmbWorld.ListIndex)
    
    cmbLevel.Clear
    For A = 0 To World.levelCount - 1
        cmbLevel.AddItem A + 1
    Next A
    cmbLevel.ListIndex = 0
    
End Sub


Private Sub cmdAbout_Click()

    frmAbout.Show 1

End Sub


Private Sub cmdExportMaps_Click()

    Dim worldIndex As Long
    Dim levelIndex As Long
    
    Dim eLevel As clsLevel
    Dim eWorld As clsWorld
    
    Dim eBuffer As clsBackBuffer
    Dim eCam As clsCamera
    
    
    If MsgBox("This will export all levels and tile graphics as PNG images, using the current display settings. Compressing the graphics may take a short while. Are you sure you want to continue?", vbYesNo Or vbQuestion) = vbNo Then Exit Sub
    
    If Not FS.FolderExists(APP_PATH & "levels") Then FS.CreateFolder APP_PATH & "levels"
    
    For worldIndex = 0 To frmMain.nWorlds - 1
        Set eWorld = Worlds(worldIndex)
        
        For levelIndex = 0 To World.levelCount - 1
            Set eLevel = eWorld.getLevel(levelIndex)
        
            ' Level bitmap
            Set eCam = New clsCamera
            eCam.maxX = eLevel.Width * TILESIZE
            eCam.maxY = eLevel.Height * TILESIZE
            eCam.Width = eCam.maxX
            eCam.Height = eCam.maxY
            
            Set eBuffer = New clsBackBuffer
            eBuffer.Create eLevel.Width * TILESIZE, eLevel.Height * TILESIZE, 1
            
            ' Rendering context
            With renderCtx
                Set .BackBuffer = eBuffer
                Set .Camera = eCam
                .Highlight = -1
            End With
            
            eLevel.Render renderCtx
            eBuffer.writeToPNG APP_PATH & "levels\w" & worldIndex + 1 & "l" & levelIndex + 1 & "_map.png", 5
        Next levelIndex
        
        
        ' Tileset
        eBuffer.Create 288, ((eWorld.Tiles.nTiles \ (288 \ TILESIZE)) - 1) * TILESIZE, 1
        eWorld.Tiles.Render eBuffer
        eBuffer.writeToPNG APP_PATH & "levels\w" & worldIndex + 1 & "_tiles" & ".png", 5
        
    Next worldIndex
    
    
    MsgBox "Levels and tiles written to levels\.", vbInformation Or vbOKOnly

End Sub


Private Sub cmdGraphics_Click()

    frmGraphics.Show 1

End Sub

Private Sub cmdImagePeek_Click()

    frmImagePeek.Show 1

End Sub


Private Sub Form_Load()

    Dim myFile As File
    Dim worldIndex As Long
    
    
    moveSens = 1
    renderScale = 1
    
    Set renderCtx = New clsRenderContext
    Set Camera = New clsCamera
    Set renderCtx.Camera = Camera
    
    ' Find each level file
    For Each myFile In FS.GetFolder(APP_PATH & "gamedata").Files
        If Left$(myFile.Name, 1) = "L" And IsNumeric(Mid$(myFile.Name, 2, 1)) And Right$(myFile.Name, 1) = "1" Then
            worldIndex = Val(Mid$(myFile.Name, 2, 1))
            
            cmbWorld.AddItem worldIndex
            ReDim Preserve Worlds(worldIndex)
            Set Worlds(worldIndex - 1) = loadWorld(APP_PATH & "gamedata", worldIndex)
        End If
    Next myFile
    cmbWorld.ListIndex = 0
    
    nWorlds = UBound(Worlds)
    
    Me.Show

End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

    modMain.Quit
    Cancel = 1
    
End Sub


Private Sub Form_Resize()

    On Error GoTo Fail
    
    framHold.Top = 12
    framHold.Left = 12
    
    picMap.Top = 0
    picMap.Left = framHold.Left + framHold.Width
    picMap.Width = Me.ScaleWidth - (framHold.Left + framHold.Width)
    picMap.Height = Me.ScaleHeight
    
    If Not Camera Is Nothing Then
        Camera.Width = picMap.Width / renderScale
        Camera.Height = picMap.Height / renderScale
    End If
    
    If Not Level Is Nothing Then
        Camera.maxX = Level.Width * TILESIZE
        Camera.maxY = Level.Height * TILESIZE
        Camera.checkPosition
    
        Set renderCtx.BackBuffer = New clsBackBuffer
        renderCtx.BackBuffer.Create picMap.Width / renderScale, picMap.Height / renderScale, renderScale
        
        If Not (Camera Is Nothing) Then
            Camera.Width = picMap.Width / renderScale
            Camera.Height = picMap.Height / renderScale
            Camera.checkPosition
        End If
        
        renderMap
    End If
    
Fail:

End Sub


Private Sub picMap_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)

    ' Move camera with rmb, any mode
    If mouseMode = MM_None And Button = 2 Then
        mouseMode = MM_MoveCamera
        
        GetCursorPos mouseCursor
        moveX = mouseCursor.X
        moveY = mouseCursor.Y
        picMap.MousePointer = 15
        
    End If

End Sub


Private Sub picMap_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

    Dim mX As Long, mY As Long
    Dim sX As Long, sY As Long
    
    Dim Obj As clsObject
    Dim Sprite As clsSprite
    Dim subSprite As clsSubSprite
    Dim oldIndex As Long
    
    Dim Named As String
    Dim subNamed As String
    
    
    If Not Me.Enabled Then Exit Sub


    mouseX = X
    mouseY = Y
    
    ' Move camera, all modes
    If mouseMode = MM_MoveCamera Then
        GetCursorPos mouseCursor
        Camera.moveRelative (mouseCursor.X - moveX) * moveSens, (mouseCursor.Y - moveY) * moveSens
        SetCursorPos moveX, moveY
        
        renderMap
        Exit Sub
    End If
    
    
    ' Info display
    ' Map pixel
    X = (X \ renderScale) + Camera.X
    Y = (Y \ renderScale) + Camera.Y
    
    ' Map tile
    mX = X \ TILESIZE
    mY = Y \ TILESIZE
    
    ' Map subtile
    sX = X \ 8
    sY = Y \ 8
    
    ' Object at subtile
    oldIndex = renderCtx.Highlight
    Set Obj = Level.pickObject(sX, sY)
    If Obj Is Nothing Then
        lblObject.Caption = vbNullString
        renderCtx.Highlight = -1
    Else
        Set Sprite = Level.getSprite(Obj.Sprite)

        ' Sprite name
        If Sprite Is Nothing Then
            Named = "Type " & Obj.Sprite
        Else
            Set subSprite = Sprite.getSubSprite(Obj.subSprite)
            Named = Sprite.Name & " (Type " & Obj.Sprite & ")"
        End If
        
        ' Subsprite name
        If subSprite Is Nothing Then
            subNamed = "Subtype " & Obj.subSprite
        Else
            subNamed = subSprite.Name & " (Subtype " & Obj.subSprite & ")"
        End If
        
        ' Construct final caption
        lblObject.Caption = "Object " & Obj.Index & Chr$(13) & "Address 0x" & Hex$(Obj.Address) & Chr$(13) & Named & Chr$(13) & subNamed
        renderCtx.Highlight = Obj.Index
    End If
    If renderCtx.Highlight <> oldIndex Then renderMap
        
    ' Cursor info
    If mX >= 0 And mX < Level.Width And mY >= 0 And mY < Level.Height Then
        lblCursor.Caption = "Tile " & mX & ", " & mY & " (" & Level.getTile(mX, mY) & ")" & Chr$(13) & "Subtile " & sX & ", " & sY & Chr$(13) & "Pixel " & X & ", " & Y
    Else
        lblCursor.Caption = vbNullString
    End If

End Sub


Private Sub picMap_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

    If mouseMode = MM_MoveCamera And Button = 2 Then
        mouseMode = MM_None
        
    End If
    
    picMap.MousePointer = 0

End Sub
